## org.apache.poi.hslf.record
Class ExHyperlink

    java.lang.Object
      org.apache.poi.hslf.record.Record
          org.apache.poi.hslf.record.RecordContainer
              org.apache.poi.hslf.record.ExHyperlink

    public class ExHyperlink

extends RecordContainer

This class represents the data of a link in the document.

Author:
  Nick Burch

Field Summary

Fields inherited from class org.apache.poi.hslf.record.RecordContainer
`_children`

Fields inherited from class org.apache.poi.hslf.record.Record
`logger`

Constructor Summary
`` `ExHyperlink()` Create a new ExHyperlink, with blank fields
`protected` `ExHyperlink(byte[] source, int start, int len)` Set things up, and find our more interesting children

Method Summary
`java.lang.String` `_getDetailsA()` Get the link details (field A)
`java.lang.String` `_getDetailsB()` Get the link details (field B)
`ExHyperlinkAtom` `getExHyperlinkAtom()` Returns the ExHyperlinkAtom of this link
`java.lang.String` `getLinkTitle()` Returns the hyperlink's user-readable name
`java.lang.String` `getLinkURL()` Returns the URL of the link.
`long` `getRecordType()` We are of type 4055
`void` `setLinkTitle(java.lang.String title)`
`void` `setLinkURL(java.lang.String url)` Sets the URL of the link TODO: Figure out if we should always set both
`void` `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

Methods inherited from class org.apache.poi.hslf.record.RecordContainer
`addChildAfter, addChildBefore, appendChildRecord, findFirstOfType, getChildRecords, handleParentAwareRecords, isAnAtom, moveChildBefore, moveChildrenAfter, moveChildrenBefore, removeChild, setChildRecord, writeOut`

Methods inherited from class org.apache.poi.hslf.record.Record
`buildRecordAtOffset, createRecordForType, findChildRecords, writeLittleEndian, writeLittleEndian`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExHyperlink

    protected ExHyperlink(byte[] source,
                          int start,
                          int len)

  Set things up, and find our more interesting children

### ExHyperlink

    public ExHyperlink()

  Create a new ExHyperlink, with blank fields

Method Detail

### getExHyperlinkAtom

    public ExHyperlinkAtom getExHyperlinkAtom()

  Returns the ExHyperlinkAtom of this link

### getLinkURL

    public java.lang.String getLinkURL()

  Returns the URL of the link.

  Returns:
    the URL of the link

### getLinkTitle

    public java.lang.String getLinkTitle()

  Returns the hyperlink's user-readable name

  Returns:
    the hyperlink's user-readable name

### setLinkURL

    public void setLinkURL(java.lang.String url)

  Sets the URL of the link TODO: Figure out if we should always set both

### setLinkTitle

    public void setLinkTitle(java.lang.String title)

### _getDetailsA

    public java.lang.String _getDetailsA()

  Get the link details (field A)

### _getDetailsB

    public java.lang.String _getDetailsB()

  Get the link details (field B)

### getRecordType

    public long getRecordType()

  We are of type 4055

  Specified by:
    `getRecordType` in class `Record`

### writeOut

    public void writeOut(java.io.OutputStream out)
                  throws java.io.IOException

  Write the contents of the record back, so it can be written to disk

  Specified by:
    `writeOut` in class `Record`
  Throws:
    `java.io.IOException`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.